-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['ナイチンゲール'] = {}
    sets.precast.JA['トルバドゥール'] = {}
    sets.precast.JA['ソウルボイス'] = {}
	
	-- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
    sets.precast.FC.BardSong = set_combine(sets.precast.FC, {})
    sets.precast.FC.Daurdabla = set_combine(sets.precast.FC.BardSong, {range=info.ExtraSongInstrument})
    
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
    
	sets.precast.WS['エヴィサレーション'] = set_combine(sets.precast.WS,{})
    sets.precast.WS['イオリアンエッジ'] = set_combine(sets.precast.WS,{})
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
	---------------------------------------------------------------------------------------------------------------------------	
    -- For song buffs (duration and AF3 set bonus)
    sets.midcast.Ballad = {}
    sets.midcast.Madrigal = {}
    sets.midcast.March = {}
    sets.midcast.Minuet = {}
    sets.midcast.Minne = {}
	sets.midcast.Etude = {}
    sets.midcast.Paeon = {}
    sets.midcast.Carol = {}
    sets.midcast.Lullaby = {}
	sets.midcast.Threnody = {}
    sets.midcast['警戒のスケルツォ'] = {}
	 sets.midcast.Mazurka = {}

    sets.midcast.SongEffect = {}
    
	-- ダウルダヴラでの追加曲は以下のようなマクロを作成
	-- 1行目 /console gs c set ExtraSongsMode Dummy 
	-- 2行目 /ma 光明のファンタジア <me>
    -- Cast spell with normal gear, except using Daurdabla instead
    sets.midcast.Daurdabla = set_combine(sets.midcast.SongEffect, {range=info.ExtraSongInstrument})
    sets.midcast.DaurdablaDummy = set_combine(sets.midcast.SongEffect, {range=info.ExtraSongInstrument})

    -- For song defbuffs (duration primary, accuracy secondary)
    sets.midcast.SongDebuff = {}
	
 	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------   
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }

    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
end
