-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['アクティベート'] = {}
    sets.precast.JA['応急処置'] = {}
    sets.precast.JA['タクティクスウィッチ'] = {}
    sets.precast.JA['リペアー'] = {}
    sets.precast.JA['フラッシング'] = {}
    sets.precast.JA.Maneuver = {}
	
    -- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }

    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.precast.WS['ビクトリースマイト'] = set_combine(sets.precast.WS,{})

	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
    ---------------------------------------------------------------------------------------------------------------------------
    -- Midcast sets for pet actions
    sets.midcast.Pet.Cure = {}
    sets.midcast.Pet['精霊魔法'] = {}

  	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
    sets.idle.Pet = sets.idle
    
    -- Idle sets to wear while pet is engaged
    sets.idle.Pet.Engaged = sets.idle
    sets.idle.Pet.Engaged.Ranged = set_combine(sets.idle.Pet.Engaged,{})
    sets.idle.Pet.Engaged.Nuke = set_combine(sets.idle.Pet.Engaged,{})
    sets.idle.Pet.Engaged.Magic = set_combine(sets.idle.Pet.Engaged,{})

	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
end