-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['連続魔'] = {}
	
	-- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
    
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
	sets.precast.WS['シャンデュシニュ'] = set_combine(sets.precast.WS,{})
    sets.precast.WS['サンギンブレード'] = set_combine(sets.precast.WS,{})

	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
    ---------------------------------------------------------------------------------------------------------------------------
    sets.midcast['精霊魔法'] = {}
	
	sets.midcast['暗黒魔法'] ={}
    sets.midcast.Drain = set_combine(sets.midcast['暗黒魔法'],{})
    sets.midcast.Aspir = sets.midcast.Drain
	
	sets.midcast['弱体魔法'] ={}
	--パライズ・スロウ・アドル・ブライン・ディストラ・フラズル・ポイズン
	sets.midcast.EnfeeblingMagiceffect = set_combine(sets.midcast['弱体魔法'],{})
	
	sets.midcast.Cure = {}
	sets.midcast['強化魔法'] = {}
	sets.midcast.Stoneskin = {}
	sets.midcast.BoostStat = set_combine(sets.midcast['強化魔法'],{})
	sets.midcast.Spikes = set_combine(sets.midcast['強化魔法'],{})
    sets.midcast['ストライ'] = {}
	sets.midcast.EnSpell = {}
	sets.midcast.Protect = set_combine(sets.midcast['強化魔法'],{})
	sets.midcast.Refresh = set_combine(sets.midcast['強化魔法'],{})
	sets.midcast.Regen = set_combine(sets.midcast['強化魔法'],{})
    -- Sets for special buff conditions on spells.
    sets.buff.Saboteur = {}

	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
end
