-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['連環計'] = {}
	
	-- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
	sets.precast.WS['タルタロストーパー'] = set_combine(sets.precast.WS,{})
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
	---------------------------------------------------------------------------------------------------------------------------
	sets.midcast['精霊魔法'] = {}
	sets.midcast.Helix = {}

	sets.midcast['暗黒魔法'] = {}
	sets.midcast['弱体魔法'] = {}
    sets.midcast.Kaustra = {}
	
	sets.midcast.Cure = {}
	sets.midcast.Regen = {}
    sets.midcast['強化魔法'] = {}
	sets.midcast.Stoneskin = set_combine(sets.midcast['強化魔法'],{})
    sets.midcast.Storm = set_combine(sets.midcast['強化魔法'],{})
	sets.midcast.Protect = set_combine(sets.midcast['強化魔法'],{})
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
		
    -- Buff sets: Gear that needs to be worn to actively enhance a current player buff.
	sets.buff.FullSublimation = {}
    sets.buff['気炎万丈の章'] = {}
    sets.buff['意気昂然の章'] = {}
    sets.buff['令狸執鼠の章'] = {}
    sets.buff['震天動地の章'] = {}
    sets.buff['簡素清貧の章'] = {}
    sets.buff['勤倹小心の章'] = {}
    sets.buff['電光石火の章'] = {}
    sets.buff['疾風迅雷の章'] = {}
    sets.buff['虚誘掩殺の策'] = {}
end

