-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['アストラルフロウ'] = {}
	sets.precast.JA['エレメントサイフォン'] = {}
    sets.precast.JA['マナシード'] = {}
    sets.precast.JA['神獣の加護'] = {}

    -- Pact delay reduction gear
    sets.precast.BloodPactWard = {}
    sets.precast.BloodPactRage = sets.precast.BloodPactWard

    -- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
 
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
	sets.precast.WS['タルタロストーパー'] = set_combine(sets.precast.WS,{})
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
	---------------------------------------------------------------------------------------------------------------------------	
    -- Avatar pact sets.  All pacts are Ability type.
 	sets.midcast.Pet.AvatarMagicalPacts = {}
    sets.midcast.Pet.AvatarMagicalPacts.Acc = sets.midcast.Pet.AvatarMagicalPacts
	sets.midcast.Pet.AvatarPhysicalPacts = set_combine(sets.midcast.Pet.AvatarMagicalPacts,{})
    sets.midcast.Pet.AvatarPhysicalPacts.Acc = sets.midcast.Pet.AvatarPhysicalPacts
    sets.midcast.Pet.AvatarBuffWard = sets.midcast.Pet.AvatarMagicalPacts
	sets.midcast.Pet.AvatarCure = set_combine(sets.midcast.Pet.AvatarMagicalPacts,{})
    sets.midcast.Pet.AvatarDeBuffWard = set_combine(sets.midcast.Pet.AvatarMagicalPacts,{})
    sets.midcast.Pet.AvatarDeBuffWard.Acc = set_combine(sets.midcast.Pet.AvatarMagicalPacts,{})

    -- Spirits cast magic spells, which can be identified in standard ways.
    sets.midcast.Pet['白魔法'] = sets.midcast.Pet.AvatarMagicalPacts
    sets.midcast.Pet['精霊魔法'] = sets.midcast.Pet.AvatarMagicalPacts
    sets.midcast.Pet['精霊魔法'].Resistant = sets.midcast.Pet.AvatarMagicalPacts
    
	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
    sets.idle.Avatar = {}
    sets.idle.Spirit = sets.idle.Avatar	
    sets.idle.Avatar.Favor = sets.idle.Avatar	
    sets.idle.Avatar.Melee = sets.idle.Avatar
	
	sets.perp = {}
    -- Caller's Bracer's halve the perp cost after other costs are accounted for.
    -- Using -10 (Gridavor, ring, Conv.feet), standard avatars would then cost 5, halved to 2.
    -- We can then use Hagondes Coat and end up with the same net MP cost, but significantly better defense.
    -- Weather is the same, but we can also use the latent on the pendant to negate the last point lost.
    sets.perp.Day = {}
    sets.perp.Weather = {}
    -- Carby: Mitts+Conv.feet = 1/tick perp.  Everything else should be +refresh
    sets.perp.Carbuncle = {}
    -- Diabolos's Rope doesn't gain us anything at this time
    --sets.perp.Diabolos = {}
    sets.perp.Alexander = sets.midcast.Pet.BloodPactWard

    sets.perp.staff_and_grip = {main=gear.perp_staff,sub=""}
	
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
end