-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
    -- Special sets (required by rules)
    ---------------------------------------------------------------------------------------------------------------------------
	-- トレハン装備
    sets.TreasureHunter = {
		--main="サンダン",
		--sub="盗賊のナイフ",
		head="ヴォルトキャップ",
		body="ヴォルトジュポン",
		hands="ＰＤアムレット+3",
		legs="ヴォルトホーズ",
		feet="ＳＫプーレーヌ+1",
		waist="チャークベルト",
	}
	
    sets.buff['不意打ち'] = {}
    sets.buff['だまし討ち'] ={}

    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['コラボレーター'] = {}
    sets.precast.JA['アカンプリス'] = {}
    sets.precast.JA['とんずら'] = {}
    sets.precast.JA['かくれる'] = {}
    sets.precast.JA['コンスピレーター'] = {}
    sets.precast.JA['ぬすむ'] = {}
    sets.precast.JA['ぶんどる'] = {}
    sets.precast.JA['絶対回避'] = {}
    sets.precast.JA['フェイント'] = {}
    sets.precast.JA['不意打ち'] = sets.buff['不意打ち']
    sets.precast.JA['だまし討ち'] = sets.buff['だまし討ち']

    -- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.precast.WS['エヴィサレーション'] = set_combine(sets.precast.WS,{})
    sets.precast.WS['イオリアンエッジ'] = set_combine(sets.precast.WS,{})

	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
	---------------------------------------------------------------------------------------------------------------------------
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
end
